
declare_plugin("Armed Boat",
{
dirName		  = current_mod_path,
displayName   = _("Armed Boat"),
shortName	  =   "APV",
version		  =   __DCS_VERSION__,
state		  =   "installed",
developerName =   "Joey 45",
info		  =    localized
})


local function ship_file(f)
	if dofile(f) then
		error("can't load file "..f)
		return
	end
	if(GT) then
		GT.shape_table_data = 
		{
			{
				file  	    = GT.visual.shape;
				username    = GT.Name;
				desrt       = GT.visual.shape_dstr;
			    classname 	= "lLandShip";
				positioning = "BYNORMAL";
			},
			{
				name  = GT.visual.shape_dstr;
				file  = GT.visual.shape_dstr;
			},
		}
		add_surface_unit(GT)
		GT = nil;
	else
		error("GT empty in file "..f)
	end;
end


dofile(current_mod_path..'/Seacat_V.lua')
ship_file(current_mod_path.."/ArmedVessel_2_Gun.lua")
ship_file(current_mod_path.."/ArmedVessel_4_Gun.lua")
ship_file(current_mod_path.."/ArmedVessel_seaCat.lua")


plugin_done()